module.exports = {
  create: {
    requestBody: ['title','type','setting','remark']
  },
  destroy: {
    params: ["!id"],
    service: "delete"
  },
  update: {
    params: ["!id"],
    requestBody:['title','type','setting','remark']
  },
  show: {
    parameters: {
      params: ["!id"]
    },
    service: "fetch"
  },
  index: {
    parameters: {
      query: {
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
    },
   service: "query",
   options: {
     query: ["skip", "limit"],
     sort: ["meta.createdAt"],
     desc: true,
     count: true,
   },
  },
  getOne: {
    parameters: {
      params: ["!type"]
    },
    service: "getOne"
  },
}
