'use strict';
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 登陆
class LoginController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.login;
  }
  async login() {
    const res = await this.service.login(this.ctx.request.body);
    this.ctx.ok({ data: res });
  }
}
module.exports = CrudController(LoginController, {});
