'use strict';
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 二维码
class QrcodeController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.qrcode;
  }
  async index() {
    const res = await this.service.initQRCode(this.ctx.query);
    this.ctx.ok({ data: res });
  }
}
module.exports = CrudController(QrcodeController, {});
