'use strict';
/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const prefix = '/api/htyd';
  const index = 'card';
  const { router, controller } = app;
  router.post(index, `${prefix}/${index}/check/:id`, controller[index].check);
  router.get(index, `${prefix}/${index}/group`, controller[index].group);
  router.post(index, `${prefix}/${index}/passwd/:id`, controller[index].passwd);
  router.resources(index, `${prefix}/${index}`, controller[index]); // index、create、show、destroy
  router.post(index, `${prefix}/${index}/update/:id`, controller[index].update);
};
