'use strict';
/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const prefix = '/api/htyd';
  const index = 'count';
  const { router, controller } = app;
  router.get(index, `${prefix}/${index}/index`, controller[index].index);
  router.get(index, `${prefix}/${index}/yesterday`, controller[index].yesterday);
  router.get(index, `${prefix}/${index}/week`, controller[index].week);
  router.get(index, `${prefix}/${index}/month`, controller[index].month);
  router.get(index, `${prefix}/${index}/group`, controller[index].group);
};
