/* eslint valid-jsdoc: "off" */

'use strict';

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = exports = {};

  config.cluster = {
    listen: {
      port: 11000,
    },
  };
  config.mongoose = {
    url: 'mongodb://124.71.143.119:27017/htyd',
    options: {
      user: 'admin',
      pass: '111111',
      authSource: 'admin',
      useNewUrlParser: true,
      useCreateIndex: true,
    },
  };

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1608805663661_3198';

  // add your middleware config here
  config.middleware = [];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };

  config.appInfo = {
    id: 'wx74f916cbbb2173fa',
    secret: '3cc515d634c854d60ec8b341119ada09',
    store: '1606113941',
    storeKey: 'hongtaiyuedawangluohuliankejighw',
  };

  // redis config
  config.redis = {
    client: {
      port: 6379, // Redis port
      host: '127.0.0.1', // Redis host
      password: 123456,
      db: 0,
    },
  };
  return {
    ...config,
    ...userConfig,
  };
};
