'use strict';
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 车奖
class Car_showController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.carShow;
  }

  async checkUser() {
    await this.service.checkUser(this.ctx.query);
    this.ctx.ok();
  }

  async getCarShow() {
    await this.service.getCarShow(this.ctx.query);
    this.ctx.ok();
  }
}
module.exports = CrudController(Car_showController, {});
