'use strict';
const meta = require('./.set.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 套餐
class SetController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.set;
  }

  async range() {
    const res = await this.service.range(this.ctx.query);
    this.ctx.ok({ data: res });
  }
}
module.exports = CrudController(SetController, meta);
